Subject: Re: [RTC/PATCH] Add 'update-branch' hook

From: Ilya Bobyr <[email-masked]>
Date: Tue, 22 Apr 2014 10:09:49 -0700

On 4/22/2014 9:31 AM, Felipe Contreras wrote:
> Stephen Leake wrote:
>> Felipe Contreras <[email-masked]> writes:
>>
>>> Ilya Bobyr wrote:
>>>> On 4/21/2014 2:17 PM, Felipe Contreras wrote:
>>>>> Ilya Bobyr wrote:
>>>>>
>>>>>> Also, most have names that start with either "pre-" or "post-".
>>>>>> It seems reasonable for both "pre-update-branch" and
>>>>>> "post-update-branch" to exist.
>>>>> I don't see what would be the point in that.
>>>> Do you see the point in the other hooks doing that?
>>> Yes, there a reason for the existance of those hooks. Now tell me why would
>>> anybody use post-update-branch instead of pre-update-branch?
>> I have a branch which should always be recompiled on update;
>> post-update-branch would be a good place for that.
> And why would pre-update-branch not serve that purpose?

"pre-" hook could be used, but if the hooks is not supposed to prevent
the operation, it seems reasonable to put it in the "post-" hook should
one be available.
For example, for clone and branch that would mean that that the branch
sections are already created in .git/config, but for "pre-" hooks,
should be find the right spot, configuration could probably be absent
just yet.

I do not think that someone is objecting adding just the "pre-" hook first.
But it seems unlikely that one can envision all the possible use cases
to say that "post-" hook would never be useful.